import {WeaTools} from 'ecCom';

//获取查询条件
export const getCondition = (apiUrl, params) => {
    return WeaTools.callApi(apiUrl + '/getCondition', 'GET', params);
};

//获取右键菜单
export const getRightMenu = (apiUrl, params) => {
    return WeaTools.callApi(apiUrl + '/getRightMenu', 'GET', params);
};

//获取列表数据
export const getDatas = (apiUrl, params) => {
    return WeaTools.callApi(apiUrl + '/getDatas', 'GET', params);
}

//获取基础信息维护控件
export const getFields = (apiUrl, params) => {

    return WeaTools.callApi(apiUrl + '/getFields', 'GET', params);
}

//通过GET方式
export const getOfGetDatas = (apiUrl, params) => {
    return WeaTools.callApi(apiUrl,'GET', params)
}

// 获取JAVA方法可选项
export const getJavaAnalytic = (apiUrl,params)=> {
    return WeaTools.callApi(apiUrl+'/analytic/java', 'GET', params);
}

//查看同步日志
export const getLogDetial = (logId,params) =>{
    return WeaTools.callApi('/api/integration/ldap/getLogDetial/' + logId, 'GET',params);
}